GDCM: gdcm::EncodingImplementation< VR::VRASCII > Class Reference

GDCM 3.0.26

Public Member Functions | Static Public Member Functions | List of all members
gdcm::EncodingImplementation< VR::VRASCII > Class Reference

`#include <gdcmElement.h>`

Inheritance diagram for gdcm::EncodingImplementation< VR::VRASCII >:
[legend]
Collaboration diagram for gdcm::EncodingImplementation< VR::VRASCII >:
[legend]

## Public Member Functions
template<>
void | Write (const double *data, unsigned long length, std::ostream &_os)

## Static Public Member Functions
template<typename T>
static void | Read (T *data, unsigned long length, std::istream &_is)
template<typename T>
static void | ReadComputeLength (T *data, unsigned int &length, std::istream &_is)
template<typename T>
static void | ReadNoSwap (T *data, unsigned long length, std::istream &_is)
template<typename T>
static void | Write (const T *data, unsigned long length, std::ostream &_os)

## Member Function Documentation

## ◆ Read()

template<typename T>

static void gdcm::EncodingImplementation< VR::VRASCII >::Read | ( | T * | data,
|  | unsigned long | length,
|  | std::istream & | _is )
| inlinestatic

Referenced by ReadNoSwap().

## ◆ ReadComputeLength()

template<typename T>

static void gdcm::EncodingImplementation< VR::VRASCII >::ReadComputeLength | ( | T * | data,
|  | unsigned int & | length,
|  | std::istream & | _is )
| inlinestatic

References gdcm::backslash().

## ◆ ReadNoSwap()

template<typename T>

static void gdcm::EncodingImplementation< VR::VRASCII >::ReadNoSwap | ( | T * | data,
|  | unsigned long | length,
|  | std::istream & | _is )
| inlinestatic

References Read().

## ◆ Write() [1/2]

template<>

void gdcm::EncodingImplementation< VR::VRASCII >::Write | ( | const double * | data,
|  | unsigned long | length,
|  | std::ostream & | _os )
| inline

References gdcm::x16printf().

## ◆ Write() [2/2]

template<typename T>

static void gdcm::EncodingImplementation< VR::VRASCII >::Write | ( | const T * | data,
|  | unsigned long | length,
|  | std::ostream & | _os )
| inlinestatic

The documentation for this class was generated from the following file:

- gdcmElement.h